### Function

# GLib List copy

#### Declaration [src]

    GList*
    g_list_copy (
      GList* list
    )

#### Description [src]

Copies a `GList`.

Note that this is a “shallow” copy. If the list elements consist of pointers to data, the pointers are copied but the actual data is not. See `g_list_copy_deep()` if you need to copy the data as well.

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  A `GList`, this must point to the top of the list.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

The start of the new list that holds the same data as `list`.

The data is owned by the called function.